//This if statement save me the time of making 2 nearly identical versions :)
//Much of this is guess work, but works... I hope it's right :)
//They should work on all AMS versions. Tested mainly on 2.xx

//Note 1: The TI-89 chart in the _rowread page of the TIGCC help document isn't
// right, so not much has been done as far as defines.

//Note 2: Any commented commands haven't been tested.

//Note 3: Sometimes the codes work for other keys.

//Special Note: Some words were predefined, so pay close attention to the case.


//#if defined(VERSION_TI89)	//if it is a TI-89
//short _ti89;	//then it'll be made for the TI-89
//#else //but, if it's a TI-92+, then
short _ti92plus;
//Arrows
#define DOWN _rowread(~((short)(1<<0))) & (1<<7)	//the Down key on the TI-92+
#define UP _rowread(~((short)(1<<0))) & (1<<5)	//the Up key on the TI-92+
#define LEFT _rowread(~((short)(1<<0))) & (1<<4)	//the Left key on the TI-92+
#define RIGHT _rowread(~((short)(1<<0))) & (1<<6)	//the Right key on the TI-92+

//Numbers
#define zero _rowread(~((short)(1<<9))) & (1<<5)	//'0' on the TI-92+
#define one _rowread(~((short)(1<<1))) & (1<<5)	//'1' on the TI-92+
#define two _rowread(~((short)(1<<1))) & (1<<6)	//'2' on the TI-92+
#define three _rowread(~((short)(1<<1))) & (1<<7)	//'3' on the TI-92+
#define four _rowread(~((short)(1<<2))) & (1<<5)	//'4' on the TI-92+
#define five _rowread(~((short)(1<<2))) & (1<<6)	//'5' on the TI-92+
#define SIX _rowread(~((short)(1<<2))) & (1<<7)	//'6' on the TI-92+
#define SEVEN _rowread(~((short)(1<<3))) & (1<<5)	//'7' on the TI-92+
#define EIGHT _rowread(~((short)(1<<3))) & (1<<6)	//'8' on the TI-92+
#define NINE _rowread(~((short)(1<<3))) & (1<<7)	//'9' on the TI-92+

//Letters
#define LETTER_A _rowread(~((short)(1<<9))) & (1<<2)	//'A' on the TI-92+
#define LETTER_B _rowread(~((short)(1<<5))) & (1<<1)	//'B' on the TI-92+
#define LETTER_C _rowread(~((short)(1<<3))) & (1<<1)	//'C' on the TI-92+
#define LETTER_D _rowread(~((short)(1<<2))) & (1<<2)	//'D' on the TI-92+
#define LETTER_E _rowread(~((short)(1<<2))) & (1<<3)	//'E' on the TI-92+
#define LETTER_F _rowread(~((short)(1<<3))) & (1<<2)	//'F' on the TI-92+
#define LETTER_G _rowread(~((short)(1<<4))) & (1<<2)	//'G' on the TI-92+
#define LETTER_H _rowread(~((short)(1<<5))) & (1<<2)	//'H' on the TI-92+
#define LETTER_I _rowread(~((short)(1<<7))) & (1<<3)	//'I' on the TI-92+
#define LETTER_J _rowread(~((short)(1<<6))) & (1<<2)	//'J' on the TI-92+
#define LETTER_K _rowread(~((short)(1<<7))) & (1<<2)	//'K' on the TI-92+
#define LETTER_L _rowread(~((short)(1<<8))) & (1<<2)	//'L' on the TI-92+
#define LETTER_M _rowread(~((short)(1<<7))) & (1<<1)	//'M' on the TI-92+
#define LETTER_N _rowread(~((short)(1<<6))) & (1<<1)	//'N' on the TI-92+
#define LETTER_O _rowread(~((short)(1<<8))) & (1<<3)	//'O' on the TI-92+
#define LETTER_P _rowread(~((short)(1<<6))) & (1<<7)	//'P' on the TI-92+
#define LETTER_Q _rowread(~((short)(1<<9))) & (1<<3)	//'Q' on the TI-92+
#define LETTER_R _rowread(~((short)(1<<3))) & (1<<3)	//'R' on the TI-92+
#define LETTER_S _rowread(~((short)(1<<1))) & (1<<2)	//'S' on the TI-92+
#define LETTER_T _rowread(~((short)(1<<4))) & (1<<3)	//'T' on the TI-92+
#define LETTER_U _rowread(~((short)(1<<6))) & (1<<3)	//'U' on the TI-92+
#define LETTER_V _rowread(~((short)(1<<4))) & (1<<1)	//'V' on the TI-92+
#define LETTER_W _rowread(~((short)(1<<1))) & (1<<3)	//'W' on the TI-92+
#define LETTER_X _rowread(~((short)(1<<2))) & (1<<1)	//'X' on the TI-92+
#define LETTER_Y _rowread(~((short)(1<<5))) & (1<<3)	//'Y' on the TI-92+
#define LETTER_Z _rowread(~((short)(1<<1))) & (1<<1)	//'Z' on the TI-92+

//Math Keys
#define TAN _rowread(~((short)(1<<5))) & (1<<7)	//'TAN' on the TI-92+
#define SIN _rowread(~((short)(1<<5))) & (1<<5)	//'SIN' on the TI-92+
#define COS _rowread(~((short)(1<<5))) & (1<<6)	//'COS' on the TI-92+
#define DIVIDE _rowread(~((short)(1<<5))) & (1<<0)	//the division sign on the TI-92+
#define NEGATIVE _rowread(~((short)(1<<9))) & (1<<7)	//'(-)' on the TI-92+
#define LN _rowread(~((short)(1<<6))) & (1<<5)	//')' on the TI-92+
#define PLUS _rowread(~((short)(1<<8))) & (1<<4)	//'+' on the TI-92+
#define POWER _rowread(~((short)(1<<6))) & (1<<0)	//'^' on the TI-92+
#define EQUALS _rowread(~((short)(1<<7))) & (1<<0)	//'=' on the TI-92+
#define MINUS _rowread(~((short)(1<<9))) & (1<<0)	//'-' on the TI-92+
#define MULTIPLY _rowread(~((short)(1<<7))) & (1<<7)	//'x' on the TI-92+

//Function Keys
#define F1 _rowread(~((short)(1<<6))) & (1<<4)	//'F1' on the TI-92+
#define F2 _rowread(~((short)(1<<4))) & (1<<4)	//'F2' on the TI-92+
#define F3 _rowread(~((short)(1<<2))) & (1<<4)	//'F3' on the TI-92+
#define F4 _rowread(~((short)(1<<9))) & (1<<4)	//'F4' on the TI-92+
#define F5 _rowread(~((short)(1<<7))) & (1<<4)	//'F5' on the TI-92+
#define F6 _rowread(~((short)(1<<5))) & (1<<4)	//'F6' on the TI-92+
#define F7 _rowread(~((short)(1<<3))) & (1<<4)	//'F7' on the TI-92+
#define F8 _rowread(~((short)(1<<1))) & (1<<4)	//'F8' on the TI-92+

//Other Keys
#define SECOND _rowread(~((short)(1<<0))) & (1<<0)	//'2nd' on the TI-92+
#define HAND _rowread(~((short)(1<<0))) & (1<<3)	//'LOCK' on the TI-92+
#define ESC _rowread(~((short)(1<<8))) & (1<<6)	//'ESC' on the TI-92+
#define APPS _rowread(~((short)(1<<7))) & (1<<6)	//'APPS' on the TI-92+
#define COMMA _rowread(~((short)(1<<4))) & (1<<7)	//',' on the TI-92+
#define OPEN_PAREN _rowread(~((short)(1<<4))) & (1<<5)	//'(' on the TI-92+
#define CLOSE_PAREN _rowread(~((short)(1<<4))) & (1<<6)	//')' on the TI-92+
#define ENTER1 _rowread(~((short)(1<<9))) & (1<<1)	//'ENTER' on the TI-92+
#define ENTER2 _rowread(~((short)(1<<6))) & (1<<6)	//'ENTER' on the TI-92+
#define PERIOD _rowread(~((short)(1<<9))) & (1<<6)	//'.' on the TI-92+
#define CLEAR _rowread(~((short)(1<<7))) & (1<<5)	//'CLEAR' on the TI-92+
#define MODE _rowread(~((short)(1<<8))) & (1<<5)	//'MODE' on the TI-92+
#define SHIFT _rowread(~((short)(1<<0))) & (1<<2)	//the Shift key on the TI-92+
#define DIAMOND _rowread(~((short)(1<<0))) & (1<<1)	//the Diamond key on the TI-92+
#define STO _rowread(~((short)(1<<3))) & (1<<0)	//'STO' on the TI-92+
#define SPACE _rowread(~((short)(1<<4))) & (1<<0)	//' ' on the TI-92+
#define BACKSPACE _rowread(~((short)(1<<8))) & (1<<0)	//the backspace key on the TI-92+

//#endif	//ends the checking and defining, success!!!
