//#define USE_TI89           //no .89z File should be made yet
#define USE_TI92PLUS       //Produce .9xz File
#define OPTIMIZE_ROM_CALLS //Use ROM Call Optimization
#define SAVE_SCREEN        //Save/Restore LCD Contents
#include <tigcclib.h>      //Include All Header Files
#include "allkeys.h"			 //Tells the processor every keycode!!! :)

short timer;	//the timer variable is defined here

void _main(void)
{
 clrscr();	//clears the screen
 FontSetSys(F_8x10);	//sets the font to biggest size
 printf("Time Left:");	//displays this in the top left corner
 for(timer=10000;timer>0;timer--)	//subtracts 1 from timer value every loop
 {	//this is the timer loop
 printf_xy(80, 0,"%d ", timer);	//faster wihout the "Time Left:" text every time
 //the space after '%d' keeps the counter clean when the # of digits gets lower
 if (HAND) timer = 10000;	//resets the timer
 if (DIVIDE) timer = timer/2;	//divides the time in half
 if (ESC) exit(0);	//checks for [ESC] to be pressed, if so it exits for good
 GKeyFlush ();	//flushes the key input so that a combination of keys won't
 //trick the processor; use this whenever you need to check key input, but the
 //downside is that a busy signal is displayed after a few key presses, which can
 //be easily fixed using this command:
 ST_busy (ST_NORMAL);	//turns off the busy signal
 //The last 2 commands should be put after the key checking, so that any key will
 //only need to be pressed once, so it'll be faster.
 }
}

